%global major   0
%define libname %mklibname spiro %major
%define devname %mklibname -d spiro

Name:           libspiro
Version:        20150131
Release:        %mkrel 3
Summary:        Library to simplify the drawing of beautiful curves

Group:          System/Libraries
License:        GPLv2+
URL:            http://libspiro.sourceforge.net/
Source0:        https://github.com/fontforge/libspiro/archive/0.3.20150131.tar.gz
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool

%description
This library will take an array of spiro control points and
convert them into a series of bézier splines which can then
be used in the myriad of ways the world has come to use béziers.

%package        -n %libname
Summary:        Library to simplify the drawing of beautiful curves
Group:          System/Libraries

%description    -n %libname
This library will take an array of spiro control points and
convert them into a series of bézier splines which can then
be used in the myriad of ways the world has come to use béziers.

%package        -n %devname
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       spiro-devel = %{version}-%{release}

%description    -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n libspiro-0.3.20150131

%build
autoreconf -i
automake --foreign -Wall
%configure2_5x --disable-static
%make

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files -n %libname
%doc COPYING README* ChangeLog AUTHORS
%{_libdir}/*.so.%{major}{,.*}

%files -n %devname
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libspiro.pc



%changelog
* Fri Feb 26 2016 umeabot <umeabot> 20150131-3.mga6
+ Revision: 979731
- Mageia 6 Mass Rebuild

* Mon Nov 23 2015 daviddavid <daviddavid> 20150131-2.mga6
+ Revision: 905318
- fix requires
- provides spiro-devel

* Thu Nov 19 2015 tv <tv> 20150131-1.mga6
+ Revision: 904135
- imported package libspiro

